﻿body {
    font-family: Verdana, Geneva, sans-serif;
}

li {
    list-style: none;
}

ul {
    margin: 0;
    padding: 0;
}


.player {
    float: left;
    background-color: black;
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
}

.player-overlay {
    position: absolute;
    bottom: 0;
    width: 100%;
    display: none;
}

.controls {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    display: flex;
    align-items: center;
    background: #333333;
    color: #fff;
    padding:0.25rem;
}



.player-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}


    .player-wrapper .pause {
        background-position: -19px 0;
    }

    .player-wrapper .stop {
        background-position: -38px 0;
    }

.volume-bar {
    width: 50px;
    vertical-align: middle;
    padding: 0px;
}

.mute {
    background-position: -95px 0;
}

.unmute {
    background-position: -114px 0;
}

.replay {
    background-position: -133px 0;
}


.fullscreen {
    text-indent: 0px;
    color: #00c600;
    background-color: black;
    background-image: none;
    padding: 0px;
    font-weight: bold;
    padding-bottom: 3px;
}


.progress-bar {
    color: #b63939;
    font-size: 12px;
    height: 6px;
    border: none;
    margin-right: 10px;
    background: transparent;
    vertical-align: middle;
    width: 100%;
    margin: 0 auto;
    border: 1px solid #fff;
    position: absolute;
    bottom: 100%;
    border-right: none;
    border-left: none;
    transition: .3s;
}

    .progress-bar:hover {
        height: 12px;
    }

progress::-moz-progress-bar {
    color: #b63939;
    background: transparent;
}

progress[value]::-webkit-progress-bar {
    background: transparent;
    border-radius: 2px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25) inset;
}

progress[value]::-webkit-progress-value {
    background: #fff;
}

input[type=range] {
    -webkit-appearance: none;
    width: 100%;
    margin: 6.8px 0;
    background: #fff;
    border: 1.1px solid #222;
}

    input[type=range]:focus {
        outline: none;
    }

    input[type=range]::-webkit-slider-runnable-track {
        width: 100%;
        height: 4.4px;
        cursor: pointer;
        border-radius: 1px;
    }

    input[type=range]::-webkit-slider-thumb {
        border: 2px solid #fff;
        height: 18px;
        width: 9px;
        border-radius: 3px;
        background: #fff;
        cursor: pointer;
        -webkit-appearance: none;
        margin-top: -7.9px;
    }



    input[type=range]::-moz-range-track {
        width: 100%;
        height: 4.4px;
        cursor: pointer;
        box-shadow: 0.9px 0.9px 1.7px #002200, 0px 0px 0.9px #003c00;
        background: #fff;
        border-radius: 1px;
        border: 1.1px solid #18d501;
    }

    input[type=range]::-moz-range-thumb {
        box-shadow: 2.6px 2.6px 3.7px #00aa00, 0px 0px 2.6px #00c300;
        border: 2.5px solid #83e584;
        height: 18px;
        width: 9px;
        border-radius: 3px;
        background: #439643;
        cursor: pointer;
    }

    input[type=range]::-ms-track {
        width: 100%;
        height: 4.4px;
        cursor: pointer;
        background: transparent;
        border-color: transparent;
        color: transparent;
    }

    input[type=range]:focus::-ms-fill-lower {
        background: #205928;
    }

    input[type=range]:focus::-ms-fill-upper {
        background: #276c30;
    }




.volume-bar {
    width: 50px;
    vertical-align: middle;
    padding: 0px;
}


.fullscreen {
    text-indent: 0px;
    color: #00c600;
    background-color: black;
    background-image: none;
    padding: 0px;
    font-weight: bold;
    padding-bottom: 3px;
}


input[type=range]::-ms-fill-lower {
    background: #194620;
    border: 1.1px solid #18d501;
    border-radius: 2px;
    box-shadow: 0.9px 0.9px 1.7px #002200, 0px 0px 0.9px #003c00;
}

input[type=range]::-ms-fill-upper {
    background: #205928;
    border: 1.1px solid #18d501;
    border-radius: 2px;
    box-shadow: 0.9px 0.9px 1.7px #002200, 0px 0px 0.9px #003c00;
}

input[type=range]::-ms-thumb {
    box-shadow: 2.6px 2.6px 3.7px #00aa00, 0px 0px 2.6px #00c300;
    border: 2.5px solid #83e584;
    height: 18px;
    width: 9px;
    border-radius: 3px;
    background: #439643;
    cursor: pointer;
    height: 4.4px;
}

.video-element {
    width: 100%;
    height: auto;
}


.player-tool-wrapper {
    display: flex;
    align-items: center;
    padding: 5px;
}

.player-tool-wrapper i {
        font-size: 22px;
        cursor: pointer;
    }

.player-progressbar {
    width: 55%;
    margin: 0 auto;
}

.volumebar input {
    position: relative;
    top: -2px;
}

.player-lang-panel, .player-quality-panel {
    position: absolute;
    bottom: 100%;
    background-color: rgba(155,155,155,1);
    padding: 5px 15px;
    border-radius: 4px;
    width: 100px;
    right: 2%;
}

.lang-panel-title {
    color: #fff;
    font-size: 9px;
}

.player-lang-panel i {
    font-size: 14px;
}

.btn-mute, .player-play-pause {
    width: 35px;
}



.center-play-pause {
    position: absolute;
    background-color: #333333;
    top: 50%;
    left: 50%;
    width: 110px;
    height: 110px;
    transform: translate(-50%,-50%);
    border-radius: 50%;
    font-size: 36px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    z-index: 1;
    transition: .3s;
}

    .center-play-pause i {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        color: #ffffff;
    }

    .center-play-pause:hover {
        background-color: #404040;
    }



.customize-panel {
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #666666;
    width: 100%;
}

.customize-panel-title, .customize-panel {
    color: #fff;
}

    .customize-panel .col-4 {
        border-left: 1px solid #ff6666;
    }

    .customize-panel h2 {
        display: inline-block;
        font-size: 22px;
        color: #ff6666;
    }

    .customize-panel small {
        color: #bfbfbf;
    }

    .customize-panel input, .customize-panel select {
        width: 100%;
        margin-bottom: 5px;
        padding: 10px 5px;
        border: 1px solid #222;
    }

    .customize-panel select {
        background-color: #333333;
        color: #fff;
    }

        .customize-panel select:focus {
            outline: none;
            border: none;
        }

    .customize-panel hr {
        display: block;
        height: 1px;
        border: 0;
        border-top: 1px solid #ff6666;
        margin: 1em 0;
        padding: 0;
    }
